import { createRouter, createWebHistory } from "vue-router";

import LifeNo from '../pages/Life-no/index.vue'
import LifeNoDetail from '../pages/Life-no/life-no-detail.vue'

// import User from '../pages/User/userList'
import UserDetail from '../pages/User/user-detail.vue'
import AddRole from '../pages/Role/add-role.vue'
import ManageRole from '../pages/Role/manage-role.vue'

const routes = [
  {
    path: "/",
    redirect: '/enterprise/certification'
  },
  {
    path: '/404',
    name: 'NotFound',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Catch/notFound'),
  },
  {
    path: '/403',
    name: 'Forbidden',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Catch/forbidden'),
  },
  {
    path: '/enterprise/certification',
    name: 'Certification',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Certification'),
    meta: {
      requireAuth: true,
    },
  },
  {
    path: '/enterprise/audit',
    name: 'Audit',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Audit'),
    meta: {
      requireAuth: true,
    }
  },
  {
    path: '/enterprise/establish',
    name: 'Establish',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Establish'),
    meta: {
      requireAuth: true,
    }
  },
  //生活号管理
  {
    path: '/lifeNo',
    name: 'LifeNo',
    component: LifeNo,
  },
  {
    path: '/lifeNoDetail',
    name: 'LifeNoDetail',
    component: LifeNoDetail,
  },
  //用户管理
  {
    path: '/userDetail',
    name: 'UserDetail',
    component: UserDetail,
  },
  //角色管理
  {
    path: '/roleAddRole',
    name: 'AddRole',
    component: AddRole
  },
  {
    path: '/roleManageRole',
    name: 'ManageRole',
    component: ManageRole
  }
];

const router = createRouter({
  history: createWebHistory(),
  routes
});

export default router;
